﻿Public Class frmMain
    ' Declaration
    Private WithEvents myK8055 As New K8055(enableEvents:=True, interval:=100)
    Private counter As Integer = 0

    ' Form Load Event
    Private Sub frmMain_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Label1.Text = CStr(counter)
        If Not myK8055.connect(SK5:=True, SK6:=True) Then
            MsgBox("A connection to the K8055 card was not possible.", _
                   MsgBoxStyle.OkOnly + MsgBoxStyle.Critical, _
                   "No Connection Available")
        End If
    End Sub


    ' DigitalInputChanged event: it is called when an event on the K8055 was triggered.
    Private Sub myK8055_digitalInputChanged(ByVal channel As Integer, ByVal Value As Boolean) Handles myK8055.digitalInputChanged
        If channel = 1 And Value = True Then counter += 1
        If channel = 2 And Value = True Then counter -= 1
        Label1.Text = CStr(counter)
    End Sub
End Class
